# GstSourceBuffer

The Source Buffer is the primary means of data flow between an application and the Media Source API. It represents a single timeline of media, containing some combination of audio, video, and text tracks. An application is responsible for feeding raw data into the Source Buffer using gst_source_buffer_append_buffer and the Source Buffer will asynchronously process the data into tracks of time-coded multimedia samples.

The application as well as the associated playback component can then select to play media from any subset of tracks across all Source Buffers of a Media Source.

A few control points are also provided to customize the behavior.

- append-mode controls how timestamps of processed samples are interpreted. They are either inserted in the timeline directly where the decoded media states they should, or inserted directly after the previously encountered sample.

- append-window-start / append-window-end control the planned time window where media from appended data can be added to the current timeline. Any samples outside that range may be ignored.

- timestamp-offset is added to the start time of any sample processed.

## GstSourceBuffer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstSourceBuffer

Since : 1.24

### Class structure

#### GstSourceBufferClass

##### Fields

`parent_class` (GstObjectClass) –
No description available

### GstMse.SourceBufferClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

### GstMse.SourceBufferClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

## GstMse.SourceBuffer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstMse.SourceBuffer

Since : 1.24

## GstMse.SourceBuffer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstMse.SourceBuffer

Since : 1.24

### Methods

#### gst_source_buffer_abort

    gboolean
    gst_source_buffer_abort (GstSourceBuffer * self,
                             GError ** error)

Attempts to end any processing of the currently pending data and reset the media parser.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.abort

    function GstMse.SourceBuffer.prototype.abort(): {
        // javascript wrapper for 'gst_source_buffer_abort'
    }

Attempts to end any processing of the currently pending data and reset the media parser.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.abort

    @raises(GLib.GError)
    def GstMse.SourceBuffer.abort (self):
        #python wrapper for 'gst_source_buffer_abort'

Attempts to end any processing of the currently pending data and reset the media parser.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_append_buffer

    gboolean
    gst_source_buffer_append_buffer (GstSourceBuffer * self,
                                     GstBuffer * buf,
                                     GError ** error)

Schedules the bytes inside buf to be processed by self. When it is possible to accept the supplied data, it will be processed asynchronously and fill in the track buffers for playback purposes.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`buf` –

(transfer full):The media data to append

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.append_buffer

    function GstMse.SourceBuffer.prototype.append_buffer(buf: Gst.Buffer): {
        // javascript wrapper for 'gst_source_buffer_append_buffer'
    }

Schedules the bytes inside buf to be processed by self. When it is possible to accept the supplied data, it will be processed asynchronously and fill in the track buffers for playback purposes.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`buf` (Gst.Buffer) –

(transfer full):The media data to append

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.append_buffer

    @raises(GLib.GError)
    def GstMse.SourceBuffer.append_buffer (self, buf):
        #python wrapper for 'gst_source_buffer_append_buffer'

Schedules the bytes inside buf to be processed by self. When it is possible to accept the supplied data, it will be processed asynchronously and fill in the track buffers for playback purposes.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`buf` (Gst.Buffer) –

(transfer full):The media data to append

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_change_content_type

    gboolean
    gst_source_buffer_change_content_type (GstSourceBuffer * self,
                                           const gchar * type,
                                           GError ** error)

Attempts to change the content type of self to type. Any new data appended to the Source Buffer must be of the supplied type afterward.

Parameters:

`self` –

GstSourceBuffer instance

`type` ( [transfer: none]) –

the desired content type

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.change_content_type

    function GstMse.SourceBuffer.prototype.change_content_type(type: String): {
        // javascript wrapper for 'gst_source_buffer_change_content_type'
    }

Attempts to change the content type of self to type. Any new data appended to the Source Buffer must be of the supplied type afterward.

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`type` (String) –

the desired content type

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.change_content_type

    @raises(GLib.GError)
    def GstMse.SourceBuffer.change_content_type (self, type):
        #python wrapper for 'gst_source_buffer_change_content_type'

Attempts to change the content type of self to type. Any new data appended to the Source Buffer must be of the supplied type afterward.

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`type` (str) –

the desired content type

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_get_append_mode

    GstSourceBufferAppendMode
    gst_source_buffer_get_append_mode (GstSourceBuffer * self)

Specification

Parameters:

`self` –

GstSourceBuffer instance

Returns –

The current GstSourceBufferAppendMode

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_append_mode

    function GstMse.SourceBuffer.prototype.get_append_mode(): {
        // javascript wrapper for 'gst_source_buffer_get_append_mode'
    }

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (GstMse.SourceBufferAppendMode) –

The current GstMse.SourceBufferAppendMode

Since : 1.24

#### GstMse.SourceBuffer.get_append_mode

    def GstMse.SourceBuffer.get_append_mode (self):
        #python wrapper for 'gst_source_buffer_get_append_mode'

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (GstMse.SourceBufferAppendMode) –

The current GstMse.SourceBufferAppendMode

Since : 1.24

#### gst_source_buffer_get_append_window_end

    GstClockTime
    gst_source_buffer_get_append_window_end (GstSourceBuffer * self)

Returns the current append window end time. Any segment processed that starts after this value will be ignored.

Specification

Parameters:

`self` –

GstSourceBuffer instance

Returns –

The current Append Window end time as a GstClockTime

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_append_window_end

    function GstMse.SourceBuffer.prototype.get_append_window_end(): {
        // javascript wrapper for 'gst_source_buffer_get_append_window_end'
    }

Returns the current append window end time. Any segment processed that starts after this value will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (Number) –

The current Append Window end time as a Number

Since : 1.24

#### GstMse.SourceBuffer.get_append_window_end

    def GstMse.SourceBuffer.get_append_window_end (self):
        #python wrapper for 'gst_source_buffer_get_append_window_end'

Returns the current append window end time. Any segment processed that starts after this value will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (int) –

The current Append Window end time as a int

Since : 1.24

#### gst_source_buffer_get_append_window_start

    GstClockTime
    gst_source_buffer_get_append_window_start (GstSourceBuffer * self)

Returns the current append window start time. Any segment processed that ends earlier than this value will be ignored.

Specification

Parameters:

`self` –

GstSourceBuffer instance

Returns –

The current Append Window start time as a GstClockTime

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_append_window_start

    function GstMse.SourceBuffer.prototype.get_append_window_start(): {
        // javascript wrapper for 'gst_source_buffer_get_append_window_start'
    }

Returns the current append window start time. Any segment processed that ends earlier than this value will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (Number) –

The current Append Window start time as a Number

Since : 1.24

#### GstMse.SourceBuffer.get_append_window_start

    def GstMse.SourceBuffer.get_append_window_start (self):
        #python wrapper for 'gst_source_buffer_get_append_window_start'

Returns the current append window start time. Any segment processed that ends earlier than this value will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (int) –

The current Append Window start time as a int

Since : 1.24

#### gst_source_buffer_get_buffered

    GArray *
    gst_source_buffer_get_buffered (GstSourceBuffer * self,
                                    GError ** error)

Returns a sequence of GstMediaSourceRange values representing which segments of self are buffered in memory.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns ( [transfer: full][element-type GstMediaSourceRange]) –

a GArray of GstMediaSourceRange values.

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_buffered

    function GstMse.SourceBuffer.prototype.get_buffered(): {
        // javascript wrapper for 'gst_source_buffer_get_buffered'
    }

Returns a sequence of GstMse.MediaSourceRange values representing which segments of self are buffered in memory.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns ([ GstMse.MediaSourceRange ]) –

a GArray (not introspectable) of GstMse.MediaSourceRange values.

Since : 1.24

#### GstMse.SourceBuffer.get_buffered

    @raises(GLib.GError)
    def GstMse.SourceBuffer.get_buffered (self):
        #python wrapper for 'gst_source_buffer_get_buffered'

Returns a sequence of GstMse.MediaSourceRange values representing which segments of self are buffered in memory.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns ([ GstMse.MediaSourceRange ]) –

a GArray (not introspectable) of GstMse.MediaSourceRange values.

Since : 1.24

#### gst_source_buffer_get_content_type

    gchar *
    gst_source_buffer_get_content_type (GstSourceBuffer * self)

Returns the current content type of self.

Parameters:

`self` –

GstSourceBuffer instance

Returns ( [transfer: full]) –

a string representing the content type

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_content_type

    function GstMse.SourceBuffer.prototype.get_content_type(): {
        // javascript wrapper for 'gst_source_buffer_get_content_type'
    }

Returns the current content type of self.

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (String) –

a string representing the content type

Since : 1.24

#### GstMse.SourceBuffer.get_content_type

    def GstMse.SourceBuffer.get_content_type (self):
        #python wrapper for 'gst_source_buffer_get_content_type'

Returns the current content type of self.

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (str) –

a string representing the content type

Since : 1.24

#### gst_source_buffer_get_timestamp_offset

    GstClockTime
    gst_source_buffer_get_timestamp_offset (GstSourceBuffer * self)

Specification

Parameters:

`self` –

GstSourceBuffer instance

Returns –

The current timestamp offset as a GstClockTime

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_timestamp_offset

    function GstMse.SourceBuffer.prototype.get_timestamp_offset(): {
        // javascript wrapper for 'gst_source_buffer_get_timestamp_offset'
    }

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (Number) –

The current timestamp offset as a Number

Since : 1.24

#### GstMse.SourceBuffer.get_timestamp_offset

    def GstMse.SourceBuffer.get_timestamp_offset (self):
        #python wrapper for 'gst_source_buffer_get_timestamp_offset'

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (int) –

The current timestamp offset as a int

Since : 1.24

#### gst_source_buffer_get_updating

    gboolean
    gst_source_buffer_get_updating (GstSourceBuffer * self)

Specification

Parameters:

`self` –

GstSourceBuffer instance

Returns –

Whether self is currently adding or removing media content.

Since : 1.24

#### GstMse.SourceBuffer.prototype.get_updating

    function GstMse.SourceBuffer.prototype.get_updating(): {
        // javascript wrapper for 'gst_source_buffer_get_updating'
    }

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (Number) –

Whether self is currently adding or removing media content.

Since : 1.24

#### GstMse.SourceBuffer.get_updating

    def GstMse.SourceBuffer.get_updating (self):
        #python wrapper for 'gst_source_buffer_get_updating'

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

Returns (bool) –

Whether self is currently adding or removing media content.

Since : 1.24

#### gst_source_buffer_remove

    gboolean
    gst_source_buffer_remove (GstSourceBuffer * self,
                              GstClockTime start,
                              GstClockTime end,
                              GError ** error)

Attempts to remove any parsed data between start and end from self.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`start` –

The beginning timestamp of data to remove

`end` –

The end timestamp of data to remove

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.remove

    function GstMse.SourceBuffer.prototype.remove(start: Number, end: Number): {
        // javascript wrapper for 'gst_source_buffer_remove'
    }

Attempts to remove any parsed data between start and end from self.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`start` (Number) –

The beginning timestamp of data to remove

`end` (Number) –

The end timestamp of data to remove

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.remove

    @raises(GLib.GError)
    def GstMse.SourceBuffer.remove (self, start, end):
        #python wrapper for 'gst_source_buffer_remove'

Attempts to remove any parsed data between start and end from self.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`start` (int) –

The beginning timestamp of data to remove

`end` (int) –

The end timestamp of data to remove

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_set_append_mode

    gboolean
    gst_source_buffer_set_append_mode (GstSourceBuffer * self,
                                       GstSourceBufferAppendMode mode,
                                       GError ** error)

Changes the Append Mode of self. This influences what timestamps will be assigned to media processed by this Source Buffer. In Segment mode, the timestamps in each segment determine the position of each sample after it is processed. In Sequence mode, the timestamp of each processed sample is generated based on the end of the most recently processed segment.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`mode` –

GstSourceBufferAppendMode the desired Append Mode

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.set_append_mode

    function GstMse.SourceBuffer.prototype.set_append_mode(mode: GstMse.SourceBufferAppendMode): {
        // javascript wrapper for 'gst_source_buffer_set_append_mode'
    }

Changes the Append Mode of self. This influences what timestamps will be assigned to media processed by this Source Buffer. In Segment mode, the timestamps in each segment determine the position of each sample after it is processed. In Sequence mode, the timestamp of each processed sample is generated based on the end of the most recently processed segment.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`mode` (GstMse.SourceBufferAppendMode) –

GstMse.SourceBufferAppendMode the desired Append Mode

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.set_append_mode

    @raises(GLib.GError)
    def GstMse.SourceBuffer.set_append_mode (self, mode):
        #python wrapper for 'gst_source_buffer_set_append_mode'

Changes the Append Mode of self. This influences what timestamps will be assigned to media processed by this Source Buffer. In Segment mode, the timestamps in each segment determine the position of each sample after it is processed. In Sequence mode, the timestamp of each processed sample is generated based on the end of the most recently processed segment.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`mode` (GstMse.SourceBufferAppendMode) –

GstMse.SourceBufferAppendMode the desired Append Mode

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_set_append_window_end

    gboolean
    gst_source_buffer_set_append_window_end (GstSourceBuffer * self,
                                             GstClockTime end,
                                             GError ** error)

Modifies the current append window end of self. If successful, samples processed after setting this value that start after this point will be ignored.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`end` –

the append window end

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.set_append_window_end

    function GstMse.SourceBuffer.prototype.set_append_window_end(end: Number): {
        // javascript wrapper for 'gst_source_buffer_set_append_window_end'
    }

Modifies the current append window end of self. If successful, samples processed after setting this value that start after this point will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`end` (Number) –

the append window end

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.set_append_window_end

    @raises(GLib.GError)
    def GstMse.SourceBuffer.set_append_window_end (self, end):
        #python wrapper for 'gst_source_buffer_set_append_window_end'

Modifies the current append window end of self. If successful, samples processed after setting this value that start after this point will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`end` (int) –

the append window end

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_set_append_window_start

    gboolean
    gst_source_buffer_set_append_window_start (GstSourceBuffer * self,
                                               GstClockTime start,
                                               GError ** error)

Modifies the current append window start of self. If successful, samples processed after setting this value that end before this point will be ignored.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`start` –

the append window start

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.set_append_window_start

    function GstMse.SourceBuffer.prototype.set_append_window_start(start: Number): {
        // javascript wrapper for 'gst_source_buffer_set_append_window_start'
    }

Modifies the current append window start of self. If successful, samples processed after setting this value that end before this point will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`start` (Number) –

the append window start

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.set_append_window_start

    @raises(GLib.GError)
    def GstMse.SourceBuffer.set_append_window_start (self, start):
        #python wrapper for 'gst_source_buffer_set_append_window_start'

Modifies the current append window start of self. If successful, samples processed after setting this value that end before this point will be ignored.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`start` (int) –

the append window start

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### gst_source_buffer_set_timestamp_offset

    gboolean
    gst_source_buffer_set_timestamp_offset (GstSourceBuffer * self,
                                            GstClockTime offset,
                                            GError ** error)

Attempt to set the timestamp offset of self. Any media processed after this value is set will have this value added to its start time.

Specification

Parameters:

`self` –

GstSourceBuffer instance

`offset` –

The new timestamp offset

`error` ( [out][optional][nullable][transfer: full]) –

the resulting error or `NULL`

Returns –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.prototype.set_timestamp_offset

    function GstMse.SourceBuffer.prototype.set_timestamp_offset(offset: Number): {
        // javascript wrapper for 'gst_source_buffer_set_timestamp_offset'
    }

Attempt to set the timestamp offset of self. Any media processed after this value is set will have this value added to its start time.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`offset` (Number) –

The new timestamp offset

Returns (Number) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

#### GstMse.SourceBuffer.set_timestamp_offset

    @raises(GLib.GError)
    def GstMse.SourceBuffer.set_timestamp_offset (self, offset):
        #python wrapper for 'gst_source_buffer_set_timestamp_offset'

Attempt to set the timestamp offset of self. Any media processed after this value is set will have this value added to its start time.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

GstMse.SourceBuffer instance

`offset` (int) –

The new timestamp offset

Returns (bool) –

`TRUE` on success, `FALSE` otherwise

Since : 1.24

### Signals

#### on-abort

    on_abort_callback (GstSourceBuffer * self,
                       gpointer user_data)

Emitted when self was aborted after a call to gst_source_buffer_abort.

Specification

Parameters:

`self` –

The GstSourceBuffer that has been aborted.

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-abort

    function on_abort_callback(self: GstMse.SourceBuffer, user_data: Object): {
        // javascript callback for the 'on-abort' signal
    }

Emitted when self was aborted after a call to GstMse.SourceBuffer.prototype.abort.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has been aborted.

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-abort

    def on_abort_callback (self, *user_data):
        #python callback for the 'on-abort' signal

Emitted when self was aborted after a call to GstMse.SourceBuffer.abort.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has been aborted.

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

#### on-error

    on_error_callback (GstSourceBuffer * self,
                       gpointer user_data)

Emitted when self has encountered an error after a call to gst_source_buffer_append_buffer.

Specification

Parameters:

`self` –

The GstSourceBuffer that has encountered an error

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-error

    function on_error_callback(self: GstMse.SourceBuffer, user_data: Object): {
        // javascript callback for the 'on-error' signal
    }

Emitted when self has encountered an error after a call to GstMse.SourceBuffer.prototype.append_buffer.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has encountered an error

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-error

    def on_error_callback (self, *user_data):
        #python callback for the 'on-error' signal

Emitted when self has encountered an error after a call to GstMse.SourceBuffer.append_buffer.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has encountered an error

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

#### on-update

    on_update_callback (GstSourceBuffer * self,
                        gpointer user_data)

Emitted when self has successfully processed data after a call to gst_source_buffer_append_buffer.

Specification

Parameters:

`self` –

The GstSourceBuffer that has just updated

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-update

    function on_update_callback(self: GstMse.SourceBuffer, user_data: Object): {
        // javascript callback for the 'on-update' signal
    }

Emitted when self has successfully processed data after a call to GstMse.SourceBuffer.prototype.append_buffer.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has just updated

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-update

    def on_update_callback (self, *user_data):
        #python callback for the 'on-update' signal

Emitted when self has successfully processed data after a call to GstMse.SourceBuffer.append_buffer.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has just updated

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

#### on-update-end

    on_update_end_callback (GstSourceBuffer * self,
                            gpointer user_data)

Emitted when self is no longer in the updating state after a call to gst_source_buffer_append_buffer. This can happen after a successful or unsuccessful append.

Specification

Parameters:

`self` –

The GstSourceBuffer that is no longer updating

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-update-end

    function on_update_end_callback(self: GstMse.SourceBuffer, user_data: Object): {
        // javascript callback for the 'on-update-end' signal
    }

Emitted when self is no longer in the updating state after a call to GstMse.SourceBuffer.prototype.append_buffer. This can happen after a successful or unsuccessful append.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that is no longer updating

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-update-end

    def on_update_end_callback (self, *user_data):
        #python callback for the 'on-update-end' signal

Emitted when self is no longer in the updating state after a call to GstMse.SourceBuffer.append_buffer. This can happen after a successful or unsuccessful append.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that is no longer updating

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

#### on-update-start

    on_update_start_callback (GstSourceBuffer * self,
                              gpointer user_data)

Emitted when self has begun to process data after a call to gst_source_buffer_append_buffer.

Specification

Parameters:

`self` –

The GstSourceBuffer that has just started updating

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-update-start

    function on_update_start_callback(self: GstMse.SourceBuffer, user_data: Object): {
        // javascript callback for the 'on-update-start' signal
    }

Emitted when self has begun to process data after a call to GstMse.SourceBuffer.prototype.append_buffer.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has just started updating

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-update-start

    def on_update_start_callback (self, *user_data):
        #python callback for the 'on-update-start' signal

Emitted when self has begun to process data after a call to GstMse.SourceBuffer.append_buffer.

Specification

Parameters:

`self` (GstMse.SourceBuffer) –

The GstMse.SourceBuffer that has just started updating

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

### Properties

#### append-mode

    “append-mode” GstSourceBufferAppendMode *

Affects how timestamps of processed media segments are interpreted. In GST_SOURCE_BUFFER_APPEND_MODE_SEGMENTS, the start timestamp of a processed media segment is used directly along with timestamp-offset . In GST_SOURCE_BUFFER_APPEND_MODE_SEQUENCE, the timestamp of a processed media segment is ignored and replaced with the end time of the most recently appended segment.

Specification

Flags : Read / Write

Since : 1.24

#### append-mode

    “append-mode” GstMse.SourceBufferAppendMode

Affects how timestamps of processed media segments are interpreted. In GstMse.SourceBufferAppendMode.SEGMENTS, the start timestamp of a processed media segment is used directly along with timestamp-offset . In GstMse.SourceBufferAppendMode.SEQUENCE, the timestamp of a processed media segment is ignored and replaced with the end time of the most recently appended segment.

Specification

Flags : Read / Write

Since : 1.24

#### append_mode

    “self.props.append_mode” GstMse.SourceBufferAppendMode

Affects how timestamps of processed media segments are interpreted. In GstMse.SourceBufferAppendMode.SEGMENTS, the start timestamp of a processed media segment is used directly along with timestamp_offset . In GstMse.SourceBufferAppendMode.SEQUENCE, the timestamp of a processed media segment is ignored and replaced with the end time of the most recently appended segment.

Specification

Flags : Read / Write

Since : 1.24

#### append-window-end

    “append-window-end” guint64

Any segments processed which have a start time greater than this value will be ignored by this Source Buffer.

Specification

Flags : Read

Since : 1.24

#### append-window-end

    “append-window-end” Number

Any segments processed which have a start time greater than this value will be ignored by this Source Buffer.

Specification

Flags : Read

Since : 1.24

#### append_window_end

    “self.props.append_window_end” int

Any segments processed which have a start time greater than this value will be ignored by this Source Buffer.

Specification

Flags : Read

Since : 1.24

#### append-window-start

    “append-window-start” guint64

Any segments processed which end before this value will be ignored by this Source Buffer.

Specification

Flags : Read

Since : 1.24

#### append-window-start

    “append-window-start” Number

Any segments processed which end before this value will be ignored by this Source Buffer.

Specification

Flags : Read

Since : 1.24

#### append_window_start

    “self.props.append_window_start” int

Any segments processed which end before this value will be ignored by this Source Buffer.

Specification

Flags : Read

Since : 1.24

#### buffered

    “buffered” gpointer *

The set of Time Intervals that have been loaded into the current Source Buffer

Specification

Flags : Read

Since : 1.24

#### buffered

    “buffered” [ Object ]

The set of Time Intervals that have been loaded into the current Source Buffer

Specification

Flags : Read

Since : 1.24

#### buffered

    “self.props.buffered” [ object ]

The set of Time Intervals that have been loaded into the current Source Buffer

Specification

Flags : Read

Since : 1.24

#### content-type

    “content-type” gchar *

The MIME content-type of the data stream

Flags : Read / Write / Construct

Since : 1.24

#### content-type

    “content-type” String

The MIME content-type of the data stream

Flags : Read / Write / Construct

Since : 1.24

#### content_type

    “self.props.content_type” str

The MIME content-type of the data stream

Flags : Read / Write / Construct

Since : 1.24

#### timestamp-offset

    “timestamp-offset” gint64

The next media segment appended to the current Source Buffer will have its start timestamp increased by this amount.

Specification

Flags : Read / Write

Since : 1.24

#### timestamp-offset

    “timestamp-offset” Number

The next media segment appended to the current Source Buffer will have its start timestamp increased by this amount.

Specification

Flags : Read / Write

Since : 1.24

#### timestamp_offset

    “self.props.timestamp_offset” int

The next media segment appended to the current Source Buffer will have its start timestamp increased by this amount.

Specification

Flags : Read / Write

Since : 1.24

#### updating

    “updating” gboolean

Whether the current source buffer is still asynchronously processing previously issued commands.

Specification

Flags : Read

Since : 1.24

#### updating

    “updating” Number

Whether the current source buffer is still asynchronously processing previously issued commands.

Specification

Flags : Read

Since : 1.24

#### updating

    “self.props.updating” bool

Whether the current source buffer is still asynchronously processing previously issued commands.

Specification

Flags : Read

Since : 1.24

## GstSourceBufferInterval

### Members

`start` (GstClockTime) –
No description available
`end` (GstClockTime) –
No description available

Since : 1.24

## GstMse.SourceBufferInterval

### Members

`start` (Number) –
No description available
`end` (Number) –
No description available

Since : 1.24

## GstMse.SourceBufferInterval

### Members

`start` (int) –
No description available
`end` (int) –
No description available

Since : 1.24

## Enumerations

### GstSourceBufferAppendMode

Specification

##### Members

`GST_SOURCE_BUFFER_APPEND_MODE_SEGMENTS` (0) –
No description available
`GST_SOURCE_BUFFER_APPEND_MODE_SEQUENCE` (1) –
No description available

Since : 1.24

### GstMse.SourceBufferAppendMode

Specification

##### Members

`GstMse.SourceBufferAppendMode.SEGMENTS` (0) –
No description available
`GstMse.SourceBufferAppendMode.SEQUENCE` (1) –
No description available

Since : 1.24

### GstMse.SourceBufferAppendMode

Specification

##### Members

`GstMse.SourceBufferAppendMode.SEGMENTS` (0) –
No description available
`GstMse.SourceBufferAppendMode.SEQUENCE` (1) –
No description available

Since : 1.24

The results of the search are